
-- player.lua

player = {}
player.x = 48
player.y = 48
player.jumping = false
player.img = love.graphics.newImage("player.png")
player.jumpForce = -17

love.physics.setMeter(64) 
world = love.physics.newWorld(0, 9.81 * 64, true) 

player.load = function()
	player.body = love.physics.newBody(world, player.x, player.y, "dynamic")
	player.shape = love.physics.newRectangleShape(16, 16)
	player.fixture = love.physics.newFixture(player.body, player.shape)
end

player.draw = function()
	love.graphics.setColor(255, 255, 255)
	love.graphics.polygon("fill", player.body:getWorldPoints(player.shape:getPoints()))
end

player.update = function(dt) 
	if love.keyboard.isDown("right") then 
		player.body:applyForce(30 + dt, 0)
    elseif love.keyboard.isDown("left") then 
   		player.body:applyForce(-30 + dt, 0)
 	elseif love.keyboard.isDown(" ") and player.jumping == false then
  	  	player.body:applyLinearImpulse(0, player.jumpForce)
		player.body:applyAngularImpulse(20)
  	  	player.jumping = true
	elseif not love.keyboard.isDown(" ") and player.jumping == true then
		player.jumping = false
	end
end